%define upstream_name	 Params-Util
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Simple standalone param-checking functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Params/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Scalar::Util) >= 1.180.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl-devel

%{?perl_default_filter}

%description
Params::Util provides a basic set of importable functions that makes checking
parameters a hell of a lot easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README lib/Params/Util.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Params
%{perl_vendorarch}/auto/Params
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-12.mga6
+ Revision: 1031636
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.70.0-11.mga6
+ Revision: 957843
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.70.0-10.mga6
+ Revision: 845068
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.70.0-9.mga6
+ Revision: 840509
- Rebuild for new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-8.mga5
+ Revision: 748802
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.70.0-7.mga5
+ Revision: 733214
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-6.mga5
+ Revision: 685884
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.70.0-5.mga5
+ Revision: 631577
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.70.0-4.mga4
+ Revision: 524120
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.70.0-3.mga4
+ Revision: 430081
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 371496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 255287
- update to 1.07

* Wed May 30 2012 jquelin <jquelin> 1.60.0-2.mga3
+ Revision: 251021
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 218790
- update to 1.06

* Wed Jun 15 2011 jquelin <jquelin> 1.40.0-1.mga2
+ Revision: 107286
- update to 1.04

* Sat Jun 11 2011 sander85 <sander85> 1.30.0-2.mga2
+ Revision: 103546
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 13788
- imported package perl-Params-Util


* Sun Nov 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.30.0-1mdv2011.0
+ Revision: 602385
- update to new version 1.03

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-3mdv2011.0
+ Revision: 556068
- rebuild for perl 5.12

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-2mdv2011.0
+ Revision: 555655
- rebuild

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 526453
- update to 1.01

* Thu Jul 16 2009 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 396614
- rebuilding to take new automatic provides extraction into account
- using %%perl_convert_version
- fixed license field

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2010.0
+ Revision: 383533
- update to new version 1.00

* Wed Feb 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2009.1
+ Revision: 342397
- update to new version 0.38

* Fri Feb 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.37-1mdv2009.1
+ Revision: 338017
- update to new version 0.37

* Sat Jan 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2009.1
+ Revision: 335891
- update to new version 0.36

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2009.1
+ Revision: 302812
- new version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.33-2mdv2009.0
+ Revision: 268707
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2009.0
+ Revision: 212217
- update to new version 0.33

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2008.1
+ Revision: 109578
- update to new version 0.31

* Tue Oct 23 2007 Funda Wang <fwang@mandriva.org> 0.30-1mdv2008.1
+ Revision: 101542
- update to new version 0.30

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2008.0
+ Revision: 75229
- update to new version 0.29

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2008.0
+ Revision: 69244
- update to new version 0.28

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2008.0
+ Revision: 63961
- update to new version 0.26

* Sun Jul 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.25-1mdv2008.0
+ Revision: 46225
- 0.25


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.23-1mdv2007.0
+ Revision: 131712
- 0.23

* Wed Dec 13 2006 Olivier Thauvin <nanardon@mandriva.org> 0.22-1mdv2007.1
+ Revision: 96131
- 0.22
- Import perl-Params-Util

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Mon Jul 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.15-1mdv2007.0
- New release 0.15

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2007.0
- New release 0.14

* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-1mdk
- New release 0.12
- Fix typo on Source URL

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdk
- New release 0.11
- better source URL

* Fri Feb 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- 0.10

* Tue Jan 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.09-1mdk
- 0.09

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-1mdk
- 0.07

* Fri Oct 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- new version  
- %%mkrel
- spec cleanup
- fix directory ownership
- rpmbuildupdate aware

* Sat Aug 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.05-1mdk
- Initial MDV release.

